Bug 138324 - 2 * local variable used before set
2 * local variable used before set
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 03:46 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 19:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-08 03:46:41 EST
Description of problem:

I just tried to compile package xorg-x11-6.8.1-4 from 
Redhat Fedora Core 3 Test 3.

The compiler said

1.

intel_pixel.c(172): remark #592: variable "size" is used before its
value is set

The source code is

   if (!check_color(ctx, type, format, pack, pixels, size, pitch))
      return GL_FALSE;

Suggest init size before first use.

2.

../../../../../../extras/Mesa/src/mesa/tnl_dd/t_dd_dmatmp.h(705):
remark #592: variable "currentsz" is used before its value is set

The source code is

      currentsz -= currentsz & 1;

Suggest init currentsz before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike A. Harris 2004-11-11 19:38:16 EST
The problem reported here is only a cosmetic issue,
not a real problem with runtime consequences.  A similar issue
was previously reported in the Radeon driver.  The problematic
argument wasn't used at all in the Radeon driver, and I assume
isn't used in the Intel driver either, but X.Org can sort that
out.

If recompiling the xorg-x11 package, if you encounter any
compiler warnings or errors, please report them directly to
X.Org via the freedesktop.org bugzilla in the "xorg" component.

Setting status to WONTFIX, as this is a cosmetic upstream
issue.

Note You need to log in before you can comment on or make changes to this bug.